# Class Host

java.lang.Object
org.apache.tomcat.util.http.parser.Host

public class Host extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `parse(String string)`
  Parse the given input as an HTTP Host header value.
  `static int`
  `parse(MessageBytes mb)`
  Parse the given input as an HTTP Host header value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### parse

    public static int parse(MessageBytes mb)
    Parse the given input as an HTTP Host header value.
    Parameters:
      `mb` - The host header value
    Returns:
      The position of ':' that separates the host from the port or -1 if it is not present
    Throws:
      `IllegalArgumentException` - If the host header value is not specification compliant

  - ### parse

    public static int parse(String string)
    Parse the given input as an HTTP Host header value.
    Parameters:
      `string` - The host header value
    Returns:
      The position of ':' that separates the host from the port or -1 if it is not present
    Throws:
      `IllegalArgumentException` - If the host header value is not specification compliant